summaryrefslogtreecommitdiffstats
path: root/development/kawa.bin
diff options
context:
space:
mode:
Diffstat (limited to 'development/kawa.bin')
-rw-r--r--development/kawa.bin/README12
-rw-r--r--development/kawa.bin/kawa.bin.SlackBuild84
-rw-r--r--development/kawa.bin/kawa.bin.info10
-rw-r--r--development/kawa.bin/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/development/kawa.bin/README b/development/kawa.bin/README
new file mode 100644
index 0000000000..425cab8912
--- /dev/null
+++ b/development/kawa.bin/README
@@ -0,0 +1,12 @@
+Kawa is a general-purpose programming language that runs on the Java
+platform. It aims to combine:
+
+ the benefits of dynamic scripting languages (non-verbose code with
+ less boiler-plate, fast and easy start-up, a REPL, no required
+ compilation step); with
+
+ the benefits of traditional compiled languages (fast execution,
+ static error detection, modularity, zero-overhead Java platform
+ integration).
+
+This build repackages the "binary", java-compiled version.
diff --git a/development/kawa.bin/kawa.bin.SlackBuild b/development/kawa.bin/kawa.bin.SlackBuild
new file mode 100644
index 0000000000..a31d6a16e0
--- /dev/null
+++ b/development/kawa.bin/kawa.bin.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+# Slackware build script for kawa.bin
+
+# © Lockywolf, 2023
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=kawa.bin
+TGZNAM=kawa
+VERSION=${VERSION:-3.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/opt
+
+
+(
+cd $PKG/opt
+unzip $CWD/$TGZNAM-$VERSION.zip
+cd $PKG/usr/bin
+ln -s ../../opt/$TGZNAM-$VERSION/bin/kawa kawa
+)
+
+cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod +x $PKG/usr/bin/$TGZNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cp -a $PKG/opt/$TGZNAM-$VERSION/doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/kawa.bin/kawa.bin.info b/development/kawa.bin/kawa.bin.info
new file mode 100644
index 0000000000..e1aec91ea5
--- /dev/null
+++ b/development/kawa.bin/kawa.bin.info
@@ -0,0 +1,10 @@
+PRGNAM="kawa.bin"
+VERSION="3.1.1"
+HOMEPAGE="https://www.gnu.org/software/kawa/index.html"
+DOWNLOAD="ftp://ftp.gnu.org/pub/gnu/kawa/kawa-3.1.1.zip"
+MD5SUM="65b9ba85ad144425a244c79565065a35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="zulu-openjdk11"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.kawa_2023-05-22@lockywolf.net"
diff --git a/development/kawa.bin/slack-desc b/development/kawa.bin/slack-desc
new file mode 100644
index 0000000000..0ee999be81
--- /dev/null
+++ b/development/kawa.bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kawa.bin: kawa.bin (Scheme implementation running on the Java Virtual Machine)
+kawa.bin:
+kawa.bin: Kawa is a general-purpose programming language that runs on the Java
+kawa.bin: platform. It aims to combine:
+kawa.bin: the benefits of dynamic scripting languages (non-verbose code with
+kawa.bin: less boiler-plate, fast and easy start-up, a REPL, no required
+kawa.bin: compilation step); with the benefits of traditional compiled langs
+kawa.bin: (fast execution, static error detection, modularity, zero-overhead
+kawa.bin: Java platform integration).
+kawa.bin:
+kawa.bin: